curl -X GET "https://api.wirebox.sh/api/v1/webhooks?agent=eva" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
webhooks = wirebox.webhooks.list(agent="eva")
for wh in webhooks:
print(f"Webhook {wh.id}: {wh.url} ({wh.events})")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const webhooks = await wirebox.webhooks.list({ agent: "eva" });
for (const wh of webhooks) {
console.log(`Webhook ${wh.id}: ${wh.url}`);
}
wirebox webhook list --agent eva
{
"webhooks": [
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"email.received",
"email.sent",
"sms.received"
],
"agent_handle": "eva",
"mailbox_address": "eva@wireboxmail.com",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"status": "active",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
],
"total": 1
}
Webhooks
List Webhooks
List all configured webhook subscriptions in your organization.
GET
/
api
/
v1
/
webhooks
curl -X GET "https://api.wirebox.sh/api/v1/webhooks?agent=eva" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
webhooks = wirebox.webhooks.list(agent="eva")
for wh in webhooks:
print(f"Webhook {wh.id}: {wh.url} ({wh.events})")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const webhooks = await wirebox.webhooks.list({ agent: "eva" });
for (const wh of webhooks) {
console.log(`Webhook ${wh.id}: ${wh.url}`);
}
wirebox webhook list --agent eva
{
"webhooks": [
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"email.received",
"email.sent",
"sms.received"
],
"agent_handle": "eva",
"mailbox_address": "eva@wireboxmail.com",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"status": "active",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
],
"total": 1
}
Query Parameters
string
Filter webhooks scoped to an agent handle.
string
Filter webhooks subscribed to a specific event type.
curl -X GET "https://api.wirebox.sh/api/v1/webhooks?agent=eva" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
webhooks = wirebox.webhooks.list(agent="eva")
for wh in webhooks:
print(f"Webhook {wh.id}: {wh.url} ({wh.events})")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const webhooks = await wirebox.webhooks.list({ agent: "eva" });
for (const wh of webhooks) {
console.log(`Webhook ${wh.id}: ${wh.url}`);
}
wirebox webhook list --agent eva
{
"webhooks": [
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"email.received",
"email.sent",
"sms.received"
],
"agent_handle": "eva",
"mailbox_address": "eva@wireboxmail.com",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"status": "active",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
],
"total": 1
}